# TarArchiveSparseEntry (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.tar

## Class TarArchiveSparseEntry

- java.lang.Object
- - org.apache.commons.compress.archivers.tar.TarArchiveSparseEntry

- All Implemented Interfaces:
    TarConstants

      public class TarArchiveSparseEntry
      extends Object
      implements TarConstants

  This class represents a sparse entry in a Tar archive.

  The C structure for a sparse entry is:

       struct posix_header {
       struct sparse sp[21]; // TarConstants.SPARSELEN_GNU_SPARSE     - offset 0
       char isextended;      // TarConstants.ISEXTENDEDLEN_GNU_SPARSE - offset 504
       };

  Whereas, "struct sparse" is:

       struct sparse {
       char offset[12];   // offset 0
       char numbytes[12]; // offset 12
       };

- - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.compress.archivers.tar.TarConstants

      `ATIMELEN_GNU, ATIMELEN_XSTAR, CHKSUM_OFFSET, CHKSUMLEN, CTIMELEN_GNU, CTIMELEN_XSTAR, DEFAULT_BLKSIZE, DEFAULT_RCDSIZE, DEVLEN, FORMAT_OLDGNU, FORMAT_POSIX, FORMAT_XSTAR, GIDLEN, GNAMELEN, GNU_LONGLINK, ISEXTENDEDLEN_GNU, ISEXTENDEDLEN_GNU_SPARSE, LF_BLK, LF_CHR, LF_CONTIG, LF_DIR, LF_FIFO, LF_GNUTYPE_LONGLINK, LF_GNUTYPE_LONGNAME, LF_GNUTYPE_SPARSE, LF_LINK, LF_NORMAL, LF_OLDNORM, LF_PAX_EXTENDED_HEADER_LC, LF_PAX_EXTENDED_HEADER_UC, LF_PAX_GLOBAL_EXTENDED_HEADER, LF_SYMLINK, LONGNAMESLEN_GNU, MAGIC_ANT, MAGIC_GNU, MAGIC_OFFSET, MAGIC_POSIX, MAGIC_XSTAR, MAGICLEN, MAXID, MAXSIZE, MODELEN, MODTIMELEN, NAMELEN, OFFSETLEN_GNU, PAD2LEN_GNU, PREFIXLEN, PREFIXLEN_XSTAR, REALSIZELEN_GNU, SIZELEN, SPARSELEN_GNU, SPARSELEN_GNU_SPARSE, UIDLEN, UNAMELEN, VERSION_ANT, VERSION_GNU_SPACE, VERSION_GNU_ZERO, VERSION_OFFSET, VERSION_POSIX, VERSIONLEN, XSTAR_MAGIC_LEN, XSTAR_MAGIC_OFFSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TarArchiveSparseEntry(byte[] headerBuf)` Construct an entry from an archive's header bytes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isExtended()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TarArchiveSparseEntry

          public TarArchiveSparseEntry(byte[] headerBuf)
                                throws IOException

      Construct an entry from an archive's header bytes. File is set to null.
      Parameters:
        `headerBuf` - The header bytes from a tar archive entry.
      Throws:
        `IOException` - on unknown format

  - ### Method Detail

    - #### isExtended

          public boolean isExtended()

Copyright © 2016 The Apache Software Foundation. All rights reserved.